from django import forms
from django.forms import ValidationError

from webapp import models


class ArticleForm(forms.ModelForm):
    class Meta:
        model = models.Article
        fields = ('title', 'text', 'author', 'tags')
    
    def clean(self):
        if self.data['title'] == self.data['text']:
            raise ValidationError('Text should not duplicate title')

        return super().clean()


class SearchForm(forms.Form):
    search = forms.CharField(max_length=100, required=False, label='Найти')
